# Public Methods

Selectable exposes a number of methods that can be called at any time.

    const selectable = new Selectable();

    selectable.methodName();

## Public Method Reference

Method | Description
--- | ---
destroy() | Destroys the instance.
init() | Reinitialises the instance after destroying.
disable() | Disables the instance.
enable() | Enables the instance.
on() | Add custom event listener. See events.
off() | Remove custom event listener. See events.
update() | Updates the instance.
refresh() | Refreshes the instance.
select() | Selects an item(s).
deselect() | Deselects an item(s).
selectAll() | Selects all items.
invert() | Inverts the current selection.
clear() | Deselects all items.
get() | Get item(s) reference.
add() | Add an element to the instance.
remove() | Remove an element from the instance.
getItems() | Gets all selectable items.
getNodes() | Gets all selectable element nodes.
getSelectedItems() | Gets all selected items.
getSelectedNodes() | Gets all selected element nodes.
setContainer() | Sets the parent container.